Summary:	Software version control visualization
Summary(pl.UTF-8):	Narzędzie wizualizujące kontrolę wersji
Name:		gource
Version:	0.51
Release:	1
License:	GPL v3+
#Source0Download: https://github.com/acaudwell/Gource/releases
Source0:	https://github.com/acaudwell/Gource/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	957723684373e6d9493c4820e9c53399
Patch0:		gl-ac.patch
URL:		https://github.com/acaudwell/Gource
Group:		X11/Applications
BuildRequires:	GLM
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	SDL2-devel >= 2
BuildRequires:	SDL2_image-devel >= 2
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.46
BuildRequires:	freetype-devel >= 2.0.9
BuildRequires:	ftgl-devel >= 2.1.3
BuildRequires:	glew-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.2
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	tinyxml-devel
BuildRequires:	xorg-lib-libX11-devel
Requires:	freetype >= 2.0.9
Requires:	fonts-TTF-freefont
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Software projects are displayed by Gource as an animated tree with the
root directory of the project at its centre. Directories appear as
branches with files as leaves. Developers can be seen working on the
tree at the times they contributed to the project.

Currently there is first party support for Git and Mercurial, and
third party (using additional steps) for CVS and SVN.

%description -l pl.UTF-8
Gource wyświetla projekty software'owe jako animowane drzewo z
katalogiem głównym projektu w centrum. Podkatalogi przedstawione są w
postaci gałęzi, a pliki to liście. Developerzy widoczni są przy pracy
nad drzewem w czasie gdy rzeczywiście pracowali.

Na chwilę obecną Gource natywnie wspiera repozytoria Git i Mercurial.
Przy pomocy zewnętrznych narzędzi można również oglądać repozytoria
CVS i SVN.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-tinyxml \
	--enable-ttf-font-dir=%{_datadir}/fonts/TTF
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README THANKS
%attr(755,root,root) %{_bindir}/gource
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.tga
%{_datadir}/%{name}/*.style
%{_datadir}/%{name}/shaders
%{_mandir}/man1/gource.1*
%changelog
* Thu Jul 30 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gource.git;a=log;h=master

* Thu Jul 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 36b1ea0
- updated URL

* Thu Jul 30 2020 Jakub Bogusz <qboosh@pld-linux.org> b0386fe
- updated to 0.51

* Wed Mar 25 2020 Jan Rękorajski <baggins@pld-linux.org> 47a4e84
- release 4 (by relup.sh)

* Mon Oct 07 2019 Jan Rękorajski <baggins@pld-linux.org> 076ed65
- rebuild with boost 1.71
- release 3 (by relup.sh)

* Sun Apr 14 2019 Jan Rękorajski <baggins@pld-linux.org> 8787d33
- icu/boost rebuild
- release 2 (by relup.sh)

* Sun Apr 07 2019 Jan Rękorajski <baggins@pld-linux.org> 504f078
- up to 0.49

* Thu Apr 13 2017 Jan Rękorajski <baggins@pld-linux.org> 02574f6
- up to 0.44

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> 6b92d62
- icu-57.1 rebuild
- release 5 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 85d9f8c
- release 4 (by relup.sh)

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> ea85b7f
- release 3 (by relup.sh)

* Sun Jul 12 2015 Jan Rękorajski <baggins@pld-linux.org> fb67e2d
- release 2 (by relup.sh)

* Sat Jun 27 2015 Jan Rękorajski <baggins@pld-linux.org> f31d148
- up to 0.43
- fixed GLU detection code
- for use c++ to configure for GLM detection code

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 7e68a3c
- rebuild with boost 1.57.0
- release 5 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 0a6ed62
- rebuild with boost 1.56.0
- release 4 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> d46d4ac
- - rebuild with boost 1.55.0
- release 3 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> e915d70
- - rebuild with boost 1.55.0
- release 2 (by relup.sh)

* Tue Jan 21 2014 Jan Rękorajski <baggins@pld-linux.org> 9ec2996
- updated to 0.40

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0600bd5
- release 2

* Thu Jan 05 2012 Paweł Gołaszewski <blues@pld-linux.org> 2e28bd5
- 0.37

* Thu Nov 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bfa378c
- release 2

